Get Processor Version
curl --request GET \
--url https://api-prod.extend.app/processors/:ProcessorId/versions/:processorVersionId \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.extend.app/processors/:ProcessorId/versions/:processorVersionId"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.extend.app/processors/:ProcessorId/versions/:processorVersionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"version": {
"object": "document_processor_version",
"id": "processor_version_5678",
"processorId": "processor_1234",
"processorType": "EXTRACT",
"description": "Updated extraction rules for invoice processing",
"version": "1.2.0",
"config": {
// Config object - see “Processor configs” for details
},
"createdAt": "2024-03-01T14:00:00Z",
"updatedAt": "2024-03-01T14:00:00Z"
}
}
Processor Endpoints
Get Processor Version
Retrieve a specific version of a processor in Extend.
Get Processor Version
This endpoint allows you to fetch a specific version of a given processor.
Path Parameters
string
required
The ID of the processor.
string
required
The ID of the specific processor version to retrieve.
Response
boolean
A true or false value indicating whether the request was successful or not.
DocumentProcessorVersion
A ProcessorVersion object representing the requested version of the processor.
See the ProcessorVersion object
for more details on the structure.
Error Responses
boolean
Will be
false if the request failed.string
A description of the error that occurred.
Possible Errors
- 404 Not Found: If the specified processor or version does not exist.
{
"success": true,
"version": {
"object": "document_processor_version",
"id": "processor_version_5678",
"processorId": "processor_1234",
"processorType": "EXTRACT",
"description": "Updated extraction rules for invoice processing",
"version": "1.2.0",
"config": {
// Config object - see “Processor configs” for details
},
"createdAt": "2024-03-01T14:00:00Z",
"updatedAt": "2024-03-01T14:00:00Z"
}
}

